class CONTROLS
   
inherit   
   FORM_DISPATCHER_CLIENT
   FORM_MANAGER_CLIENT
   CONTROLS_CONSTANTS
   PALM_APPLICATION
      redefine
	 handle_event, start_application
      end
   
creation
   pilot_main

feature {ANY} --redefined application feature   
   
   start_application is
	 --opens the "hello world" form
      do
	 create main_form_event_handler
	 create button_demo_form_event_handler
	 create trigger_demo_form_event_handler
	 create field_demo_form_event_handler
	 create memory_demo_form_event_handler
	 form_manager.go_to_form( Controls_main_form )
      end
   
   handle_event( event : EVENT ) is
	 --handles events
      local
	 form : FORM
      do
	 inspect event.type
	 when Frm_load_event then
	    inspect 
	       event.data_frmload_formid
	    when Controls_main_form then
	       create form.from_form_id( Controls_main_form )
	       form.set_as_active_form
	       form.set_event_handler( main_form_event_handler )
	    when Button_demo_form then
	       create form.from_form_id( Button_demo_form )
	       form.set_event_handler( button_demo_form_event_handler )
	       form.set_as_active_form
	    when Trigger_demo_form then
	       create form.from_form_id( Trigger_demo_form )
	       form.set_event_handler( trigger_demo_form_event_handler )
	       form.set_as_active_form
	    when Field_demo_form then
	       create form.from_form_id( Field_demo_form )
	       form.set_event_handler( field_demo_form_event_handler )
	       form.set_as_active_form
	    when Memory_demo_form then
	       create form.from_form_id( Memory_demo_form )
	       form.set_event_handler( memory_demo_form_event_handler )
	       form.set_as_active_form
	    end
	    last_event_was_handled := True
	 else
	    last_event_was_handled := False
	 end
      end
   
   main_form_event_handler : MAIN_FORM_EVENT_HANDLER
   button_demo_form_event_handler : BUTTON_DEMO_FORM_EVENT_HANDLER
   trigger_demo_form_event_handler : TRIGGER_DEMO_FORM_EVENT_HANDLER
   field_demo_form_event_handler : FIELD_DEMO_FORM_EVENT_HANDLER
   memory_demo_form_event_handler : MEMORY_DEMO_FORM_EVENT_HANDLER
   
end



