class MAIN_FORM_EVENT_HANDLER
   
inherit
   FORM_MANAGER_CLIENT
   CONTROLS_CONSTANTS
   STANDARD_EVENT_HANDLER   
      redefine
	 handle_frm_open_event,
	 handle_menu_event,
	 handle_ctl_select_event
      end
	 
feature {ANY}
   
   handle_frm_open_event( event : EVENT ) is
      do
	 form_manager.active_form.draw
	 last_event_was_handled := True
      end
   
   handle_menu_event( event : EVENT ) is  
       do
	  inspect 
	     event.data_menu_item_id
	  when Controls_menu_button_demo then
	     form_manager.popup_form( Button_demo_form )
	  else
	     form_manager.alert( Generic_alert )
	  end
	  last_event_was_handled := True;
       end
       
   handle_ctl_select_event( event : EVENT ) is
      do
	 inspect
	    event.data_ctlselect_controlid
	 when Controls_button_demo_button then
	    form_manager.popup_form( Button_demo_form )
	 when Controls_trigger_demo_button then
	    form_manager.popup_form( Trigger_demo_form )
	 when Controls_field_demo_button then
	    form_manager.popup_form( Field_demo_form )
	 when Controls_memory_demo_button then
	    form_manager.popup_form( Memory_demo_form )
	 else
	    form_manager.alert( Generic_alert )
	 end
	 last_event_was_handled := True
      end
   
end

   
