class MAIN_FORM_EVENT_HANDLER
   
inherit
   FORM_MANAGER_CLIENT
   TABLE_CONSTANTS
   TABLE_DISPATCHER_CLIENT
   STANDARD_EVENT_HANDLER   
      redefine
	 handle_frm_open_event, handle_menu_event
      end
   
feature {ANY}
   
   demo_table : DEMO_TABLE
   
   handle_frm_open_event( event :EVENT ) is
      do
	 form_manager.active_form.draw	 
	 create demo_table.from_shared_memory( form_manager.active_form.table_from_id( Main_form_table ).opaque_pointer )
	 demo_table.initialize( form_manager.active_form )
	 form_manager.active_form.draw
	 last_event_was_handled := True
      end
   
   handle_menu_event( event : EVENT ) is
      local
	 field : FORM_FIELD
      do
	 if event.data_menu_item_id = Table_menu_about then
	    form_manager.alert( Table_about_alert )
	    demo_table.draw
	    field := form_manager.active_form.field_from_id( Main_form_field )
	    field.set_text_to_string( demo_table.column_width( 1 ).to_string )
	    field.draw
	    last_event_was_handled := True
	 end
      end
   
end
   
