

indexing
   contents: "generated wrapper for C type "
   author: "Victor B. Putz"
   completed: no
   tested: no
   

class FEATURE_MANAGER

feature {ANY} -- c_without_pointer features
   feature_set_3_5_is_implemented  : BOOLEAN is
      local
	 rom_version : INTEGER_32
	 error : INTEGER_16
      do
	 error := c_ftr_get( c_sys_ftr_creator, 
			     c_sys_ftr_rum_rom_version,
			     $rom_version )
	 Result := rom_version
      end
   
   desired_rom_version : INTEGER_32 is 0x03503000

feature {NONE} -- data feature support functions

feature {NONE} -- c_with_pointer feature support functions

feature {NONE} -- c_without_pointer feature support functions
   
   c_ftr_get( creator: INTEGER_32; 
	      feature_number : INTEGER_16; 
	      p_value : POINTER ) : INTEGER_16 is
      external "C use <FeatureMgr.h>"
      alias "FtrGet"
      end
   
   c_sys_ftr_creator : INTEGER_32 is
      external "C inline use <FeatureMgr.h>"
      alias "(sysFtrCreator)"
      end
   
   c_sys_ftr_num_rom_version : INTEGER_16 is
      external "C inline use <FeatureMgr.h>"
      alias "(sysFtrNumRomVersion)"
      end
   
end
