indexing
   contents: "Menu handler code--encapsulation of MenuHandleEvent"
   author : "Victor B. Putz"
   completed : no
   tested : no

class MENU_EVENT_HANDLER

inherit
   EVENT_HANDLER
   redefine
      handle_event
      end

feature {ANY}
   
   last_error : INTEGER_16
   
   handle_event( event : EVENT ) is
      local
	 p : POINTER
      do
	 create p
	 last_event_was_handled := c_menu_event_handler_handle_event( p, event.opaque_pointer, $last_error )
	 --TODO: add error and menu bar parameter passing
      end
	 
feature {NONE}
   
   c_menu_event_handler_handle_event( menubar_ptr, event_ptr, error_ptr : POINTER ) : BOOLEAN is
      external "C use <Menu.h>"
	 alias "MenuHandleEvent"
	 end

end
