indexing
   contents : "Constants for events"
   author : "Victor B. Putz"
   complete : no
   tested : no

expanded class EVENT_CONSTANTS

feature

   Nil_event                : INTEGER_16 is 0
   Pen_down_event           : INTEGER_16 is 1
   Pen_up_event             : INTEGER_16 is 2
   Pen_move_event           : INTEGER_16 is 3
   Key_down_event           : INTEGER_16 is 4
   Win_enter_event          : INTEGER_16 is 5
   Win_exit_event           : INTEGER_16 is 6
   Ctl_enter_event          : INTEGER_16 is 7
   Ctl_exit_event           : INTEGER_16 is 8
   Ctl_select_event         : INTEGER_16 is 9 
   Ctl_repeat_event         : INTEGER_16 is 10
   Lst_enter_event          : INTEGER_16 is 11
   Lst_select_event         : INTEGER_16 is 12
   Lst_exit_event           : INTEGER_16 is 13
   Pop_select_event         : INTEGER_16 is 14
   Fld_enter_event          : INTEGER_16 is 15
   Fld_height_changed_event : INTEGER_16 is 16
   Fld_changed_event        : INTEGER_16 is 17
   Tbl_enter_event          : INTEGER_16 is 18
   Tbl_select_event         : INTEGER_16 is 19
   Day_select_event         : INTEGER_16 is 20
   Menu_event               : INTEGER_16 is 21
   App_stop_event           : INTEGER_16 is 22
   Frm_load_event           : INTEGER_16 is 23
   Frm_open_event           : INTEGER_16 is 24
   Frm_goto_event           : INTEGER_16 is 25
   Frm_update_event         : INTEGER_16 is 26
   Frm_save_event           : INTEGER_16 is 27
   Frm_close_event          : INTEGER_16 is 28
   Frm_title_enter_event    : INTEGER_16 is 29
   Frm_title_select_event   : INTEGER_16 is 30
   Tbl_exit_event           : INTEGER_16 is 31
   Scl_enter_event          : INTEGER_16 is 32
   Scl_exit_event           : INTEGER_16 is 33
   Scl_repeat_event         : INTEGER_16 is 34
   Tsm_confirm_event        : INTEGER_16 is 35
   Tsm_fep_button_event     : INTEGER_16 is 36
	
   First_user_event : INTEGER_16 is 32767   
   
   
   Shift_key_mask        : BIT 32 is 00000000000000000000000000000001B -- 0x0001
   Caps_lock_mask        : BIT 32 is 00000000000000000000000000000010B -- 0x0002
   Num_lock_mask         : BIT 32 is 00000000000000000000000000000100B -- 0x0004
   Command_key_mask      : BIT 32 is 00000000000000000000000000001000B -- 0x0008
   Option_key_mask       : BIT 32 is 00000000000000000000000000010000B -- 0x0010
   Control_key_mask      : BIT 32 is 00000000000000000000000000100000B -- 0x0020
   Auto_repeat_key_mask  : BIT 32 is 00000000000000000000000001000000B -- 0x0040
   Double_tap_key_mask   : BIT 32 is 00000000000000000000000010000000B -- 0x0080
   Powered_on_key_mask   : BIT 32 is 00000000000000000000000100000000B -- 0x0100
   App_evt_hook_key_mask : BIT 32 is 00000000000000000000001000000000B -- 0x0200
   Lib_evt_hook_key_mask : BIT 32 is 00000000000000000000010000000000B -- 0x0400
   
   Evt_wait_forever : INTEGER_16 is -1
   
end
   
