indexing
   contents: "Constants for application launch"
   author: "Victor B. Putz"
   completed: no
   tested: no

expanded class LAUNCH_CODE_CONSTANTS

feature {ANY} -- Launch Codes

   Sys_app_launch_cmd_normal_launch             : INTEGER_16 is 0
   Sys_app_launch_cmd_find                      : INTEGER_16 is 1
   Sys_app_launch_cmd_go_to                     : INTEGER_16 is 2
   Sys_app_launch_cmd_sync_notify               : INTEGER_16 is 3
   Sys_app_launch_cmd_time_change               : INTEGER_16 is 4
   Sys_app_launch_cmd_system_reset              : INTEGER_16 is 5
   Sys_app_launch_cmd_alarm_triggered           : INTEGER_16 is 6
   Sys_app_launch_cmd_display_alarm             : INTEGER_16 is 7
   Sys_app_launch_cmd_country_change            : INTEGER_16 is 8
   Sys_app_launch_cmd_sync_request_local        : INTEGER_16 is 9
   Sys_app_launch_cmd_save_data                 : INTEGER_16 is 10
   Sys_app_launch_cmd_init_database             : INTEGER_16 is 11
   Sys_app_launch_cmd_sync_call_application_v10 : INTEGER_16 is 12
   Sys_app_launch_cmd_panel_called_from_app     : INTEGER_16 is 13
   Sys_app_launch_cmd_return_from_panel         : INTEGER_16 is 14
   Sys_app_launch_cmd_lookup                    : INTEGER_16 is 15
   Sys_app_launch_cmd_system_lock               : INTEGER_16 is 16
   Sys_app_launch_cmd_sync_request_remote       : INTEGER_16 is 17
   Sys_app_launch_cmd_handle_sync_call_app      : INTEGER_16 is 18
   Sys_app_launch_cmd_add_record                : INTEGER_16 is 19
   Sys_svc_launch_cmd_set_service_id            : INTEGER_16 is 20
   Sys_svc_launch_cmd_get_service_id            : INTEGER_16 is 21
   Sys_svc_launch_cmd_get_service_list          : INTEGER_16 is 22
   Sys_svc_launch_cmd_get_service_info          : INTEGER_16 is 23
   Sys_app_launch_cmd_failed_app_notify         : INTEGER_16 is 24
   Sys_app_launch_cmd_event_hook                : INTEGER_16 is 25
   Sys_app_launch_cmd_exg_receive_data          : INTEGER_16 is 26
   Sys_app_launch_cmd_exg_ask_user              : INTEGER_16 is 27
   Sys_dial_launch_cmd_dial                     : INTEGER_16 is 30
   Sys_dial_launch_cmd_hangup                   : INTEGER_16 is 31
   Sys_dial_launch_cmd_last                     : INTEGER_16 is 39
   Sys_svc_launch_cmd_get_quick_edit_label      : INTEGER_16 is 40
   Sys_svc_launch_cmd_last                      : INTEGER_16 is 49
   Sys_app_launch_cmd_url_params                : INTEGER_16 is 50
   Sys_app_launch_cmd_notify                    : INTEGER_16 is 51
   Sys_app_launch_cmd_open_db                   : INTEGER_16 is 52
   Sys_app_launch_cmd_antenna_up                : INTEGER_16 is 53
   Sys_app_launch_cmd_go_to_url                 : INTEGER_16 is 54

feature {ANY} -- Launch flags

   sys_app_launch_flag_new_thread       : BIT 32 is 00000000000000000000000000000001B -- 0x0001
   sys_app_launch_flag_new_stack        : BIT 32 is 00000000000000000000000000000010B -- 0x0002
   sys_app_launch_flag_new_globals      : BIT 32 is 00000000000000000000000000000100B -- 0x0004
   sys_app_launch_flag_up_app           : BIT 32 is 00000000000000000000000000001000B -- 0x0008
   sys_app_launch_flag_sub_call         : BIT 32 is 00000000000000000000000000010000B -- 0x0010

end


