#!/usr/bin/ruby

$: << ENV["EPALM"] + "/tools"
require "sectionize"
require "replace_gc_sizes"

#printf "ARGV.length= #{ARGV.length}\n"
if ( ARGV.length > 0 )
  # initially, just go through the arguments and remove the -ansi
  # declaration, then call good old m68k-palmost-gcc with the rest of
  # the arguments
  ARGV.delete( "-ansi" )
  # print "Wooot #{ARGV[index + 1]}"
  joined_args = ARGV.join( " " )
  print "#{joined_args}\n"
  # sectionize the header; assume that the header file is the same as
  # the source file minus number.c (ie "controls1.c" would need the header
  # file "controls.h"
  re = /(.*)\d+\.c$/
#  print "Infile: #{ARGV[-1]}\n"
  header_filename = re.match( ARGV[-1] )[1] + ".h"
#  print "Base: #{header_filename}\n"

#  print "Sectionizing #{header_filename}\n"
  Sectionize.sectionize_file( header_filename, [] );
  print  "Replacing GC sizes in #{header_filename}\n"
  Replace_gc_sizes.replace_gc_sizes_by_filename( header_filename );
  system( "m68k-palmos-gcc #{joined_args}" )
end
