class MAIN_FORM_EVENT_HANDLER
   
inherit
   FORM_MANAGER_CLIENT
   HELLO_WORLD_CONSTANTS
   SOUND_MANAGER_CLIENT
   SOUND_MANAGER_CONSTANTS
   STANDARD_EVENT_HANDLER   
      redefine
	 handle_frm_open_event,
	 handle_ctl_select_event,
	 handle_menu_event
      end
	 
feature {ANY}
   
   handle_frm_open_event( event : EVENT ) is
      do
	 form_manager.active_form.draw
	 last_event_was_handled := True
      end
   
   handle_ctl_select_event( event : EVENT ) is
      do
	 form_manager.alert( Goodnight_moon_alert )
	 last_event_was_handled := True
      end
   
   handle_menu_event( event : EVENT ) is
      do
	 if event.data_menu_item_id = First_beep then
	    sound_manager.play_system_sound( Snd_info );
	 else
	    sound_manager.play_system_sound( Snd_start_up );
	 end
	 last_event_was_handled := True
      end
   
end

   
