
class MQFQUIZ

inherit
   MQFQUIZ_CONSTANTS
   FORM_DISPATCHER_CLIENT
   PALM_APPLICATION
      redefine
         handle_event, start_application
      end
   DATABASE_MANAGER_CLIENT


creation
   pilot_main

feature {ANY} -- redefined application features

   start_application is
      --opens main form
      do
         create form_handler.make
         form_manager.go_to_form( Main_form )
      end

   handle_event( event : EVENT ) is
      --handle PalmOS events
      local
         form : FORM
      do
         inspect event.type
         when Frm_load_event then
            create form.from_form_id( event.data_frmload_formid )
            form.set_as_active_form
            form.set_event_handler( form_handler )
            last_event_was_handled := True
         else
            last_event_was_handled := False
         end
      end
   
feature {ANY} -- handlers and such   
   
   form_handler : MAIN_FORM_EVENT_HANDLER

end -- class MQFQUIZ
