indexing
   content: "Event handler for system events"
   author : "Victor B. Putz"
   completed : no
   tested : no

class SYSTEM_EVENT_HANDLER

inherit
   EVENT_HANDLER
   redefine
      handle_event
      end

feature {ANY}

   handle_event( event : EVENT ) is
      --passes events to the C SysHandleEvent function
      do
	 last_event_was_handled := c_system_event_handler_handle_event( event.opaque_pointer )
      end

feature {NONE}

   c_system_event_handler_handle_event( ptr : POINTER ) : BOOLEAN is
      external "C use <SystemMgr.h>"
      alias "SysHandleEvent"
      end

end


