#include "epalm_cecil.h"
Boolean 
table_dispatcher_custom_save_data( void* p_table, Int16 row, Int16 column )
{
  Boolean result = false;
#ifdef __GNUC__
CALLBACK_PROLOGUE
#endif
  result = TABLE_DISPATCHER_dispatch_custom_save_data_event( TABLE_DISPATCHER_CLIENT_table_dispatcher( eiffel_root_object ), p_table, row, column );
#ifdef __GNUC__
CALLBACK_EPILOGUE
#endif
  return result;
}

Err
table_dispatcher_custom_load_data( void* p_table, Int16 row, Int16 column, Boolean is_editable, MemHandle* p_handle, Int16* p_offset, Int16* p_size, FieldPtr p_field )
{
  Err result = 0;
#ifdef __GNUC__
CALLBACK_PROLOGUE
#endif
  TABLE_DISPATCHER_dispatch_custom_load_data_event( TABLE_DISPATCHER_CLIENT_table_dispatcher( eiffel_root_object ), p_table, row, column, is_editable, p_handle, p_offset, p_size, p_field, &result );
#ifdef __GNUC__
CALLBACK_EPILOGUE
#endif
  /*
    now wiggle result, which is actually the last_load_was_successful member--a 1 means success
    here, while to PalmOS 1 means failure and 0 means success (see TableLoadDataFuncType)
  */
  if ( result = 1 )
    {
      result = 0;
    }
  return result;
}

void
table_dispatcher_custom_draw( void* p_table, Int16 row, Int16 column, RectangleType* p_bounds )
{
#ifdef __GNUC__
CALLBACK_PROLOGUE
#endif
  TABLE_DISPATCHER_dispatch_custom_draw_event( TABLE_DISPATCHER_CLIENT_table_dispatcher( eiffel_root_object ), p_table, row, column, p_bounds );
#ifdef __GNUC__
CALLBACK_EPILOGUE
#endif
}


void
table_dispatcher_store_load_data_return_values( 
EIF_POINTER handle, 
EIF_POINTER p_handle, 
EIF_INTEGER_16 offset, 
EIF_POINTER p_offset, 
EIF_INTEGER_16 size, 
EIF_POINTER p_size, 
EIF_BOOLEAN last_load_successful, 
EIF_POINTER p_last_load_successful )
{
  (*((MemHandle*)(p_handle))) = (MemHandle)(handle);
  (*((Int16*)(p_offset))) = (Int16)(offset);
  (*((Int16*)(p_size))) = (Int16)(size);
  (*((Int16*)(p_last_load_successful))) = (Int16)(last_load_successful);
}

void
table_dispatcher_register_table_with_custom_draw_procedure( EIF_POINTER p_table, EIF_INTEGER column )
{
  TblSetCustomDrawProcedure( p_table, column, table_dispatcher_custom_draw );
}

void
table_dispatcher_register_table_with_custom_load_data_procedure( EIF_POINTER p_table, EIF_INTEGER column )
{
  TblSetLoadDataProcedure( p_table, column, table_dispatcher_custom_load_data );
}

void
table_dispatcher_register_table_with_custom_save_data_procedure( EIF_POINTER p_table, EIF_INTEGER column )
{
  TblSetSaveDataProcedure( p_table, column, table_dispatcher_custom_save_data );
}

/* end tables */

